From f475ec216fe26407b2e7f5d69139a027a218dc50 Mon Sep 17 00:00:00 2001
From: Jana Cupova <root@localhost>
Date: Sep 04 2024 07:17:14 +0000
Subject: [PATCH 3/11] Fix review


---

diff --git a/plugins/builder/taskrepos.py b/plugins/builder/taskrepos.py
index 6fc99ab..b49452a 100644
--- a/plugins/builder/taskrepos.py
+++ b/plugins/builder/taskrepos.py
@@ -33,7 +33,7 @@ def read_config():
 
     # expire repos in days
     if cp.has_option('taskrepos', 'expire_repos'):
-        config['repo_lifetime'] = cp.get('taskrepos', 'expire_repos')
+        config['repo_lifetime'] = cp.getint('taskrepos', 'expire_repos')
 
     if cp.has_option('taskrepos', 'ticketlink'):
         config['ticketlink'] = cp.get('taskrepos', 'ticketlink')
@@ -68,35 +68,18 @@ class TaskReposTask(koji.tasks.BaseTaskHandler):
             self.logger.debug(proc.stderr.decode())
         proc.check_returncode()
 
-    def check_mergerepo_c(self):
-        cmd = ['/usr/bin/mergerepo_c', '--version']
-        try:
-            proc = subprocess.Popen(cmd, stdout=subprocess.PIPE)
-            out, _ = proc.communicate()
-            status = proc.wait()
-            if status != 0:
-                self.logger.warning("Unable to detect mergerepo_c version")
-                return False
-        except Exception:
-            self.logger.warning("Unable to detect mergerepo_c version")
-            return False
-        return True
-
     def merge_arch_repo(self, arch, repodir, srcdir):
         archdir = joinpath(repodir, arch)
         self.logger.debug('Creating %s repo under %s' % (arch, archdir))
         koji.ensuredir(archdir)
-        if self.check_mergerepo_c:
-            cmd = [
-                '/usr/bin/mergerepo_c',
-                '--koji',
-                '--database',
-                '--outputdir=%s' % archdir,
-                '--archlist=%s,noarch,src' % arch,
-                '--compress-type=gz',
-            ]
-        else:
-            raise koji.GenericError("mergerepo_c is not installed")
+        cmd = [
+            '/usr/bin/mergerepo_c',
+            '--koji',
+            '--database',
+            '--outputdir=%s' % archdir,
+            '--archlist=%s,noarch,src' % arch,
+            '--compress-type=gz',
+        ]
         for srcrepo in os.listdir(srcdir):
             cmd.append('--repo=%s' % srcrepo)
         self.logger.debug('Running: %s' " ".join(cmd))
diff --git a/plugins/hub/taskrepos_hub.py b/plugins/hub/taskrepos_hub.py
index a91cb16..48ae2e1 100644
--- a/plugins/hub/taskrepos_hub.py
+++ b/plugins/hub/taskrepos_hub.py
@@ -68,7 +68,7 @@ def tasksRepoNotifications(task_id, data):
     if context.opts.get('DisableNotifications'):
         return
     email_domain = context.opts['EmailDomain']
-    email = f'{data['owner']}@{email_domain}'
+    email = f"{data['owner']}@{email_domain}"
 
     data['task_id'] = task_id
     kojihub.make_task('tasksRepoNotifications', [email, data])

